org.bouncycastle.asn1.pkcs

## Class SecretBag

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.pkcs.SecretBag

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class SecretBag
      extends ASN1Object

  RFC 7292 - SecretBag carrier for arbitrary secret values stored in a PKCS#12 SafeBag of type `secretBag` (`PKCSObjectIdentifiers.secretBag`).

         SecretBag ::= SEQUENCE {
             secretTypeId BAG-TYPE.&id ({SecretTypes}),
             secretValue  [0] EXPLICIT BAG-TYPE.&Type ({SecretTypes}{@secretTypeId})
         }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecretBag(ASN1ObjectIdentifier secretTypeId, ASN1Encodable secretValue)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SecretBag` | `getInstance(java.lang.Object o)`
    `ASN1ObjectIdentifier` | `getSecretTypeId()`
    `ASN1Encodable` | `getSecretValue()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SecretBag

          public SecretBag(ASN1ObjectIdentifier secretTypeId,
                           ASN1Encodable secretValue)

  - ### Method Detail

    - #### getInstance

          public static SecretBag getInstance(java.lang.Object o)

    - #### getSecretTypeId

          public ASN1ObjectIdentifier getSecretTypeId()

    - #### getSecretValue

          public ASN1Encodable getSecretValue()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.